YUI AS Component Documentation |
Class Legend

Package | com.yahoo.astra.fl.charts.legend
Class | public class Legend
Inheritance | Legend fl.core.UIComponent
Implements | ILegend

Provides a visual reference for the series in a Chart component.

See also

com.yahoo.astra.fl.charts.Chart
com.yahoo.astra.fl.charts.legend.LegendItem

Public Properties

| Property | Defined by
--- | --- | ---
|  | dataProvider : Array An Array of LegendItemData objects. | Legend
|  | maxHeight : Number The maximum available height for the legend. | Legend
|  | maxWidth : Number The maximum available width for the legend. | Legend

Public Methods

| Method | Defined by
--- | --- | ---
|  | Legend() Constructor. | Legend

Styles

| Style | Description | Defined by
--- | --- | --- | ---
|  | backgroundSkin | Type: Class The DisplayObject subclass used to display the background. | Legend
|  | contentPadding | Type: Number The padding that separates the border of the component from its contents, in pixels. The default value is `6`. | Legend

embedFonts

Type: Boolean
Indicates whether embedded font outlines are used to render the text field. If this value is true, Flash Player renders the text field by using embedded font outlines. If this value is false, Flash Player renders the text field by using device fonts. If you set the embedFonts property to true for a text field, you must specify a font for that text by using the font property of a TextFormat object that is applied to the text field. If the specified font is not embedded in the SWF file, the text is not displayed. The default value is `false`.

Legend

|  | gap | Type: Number The spacing that separates the each legend item. The default value is `6`. | Legend

Property detail

dataProvider | property

`dataProvider:Array` [read-write]

An Array of LegendItemData objects.

Implementation
`public function get dataProvider():Array`
`public function set dataProvider(value:Array):void`

maxHeight | property |

`maxHeight:Number` [read-write]

The maximum available height for the legend.

Implementation
`public function get maxHeight():Number`
`public function set maxHeight(value:Number):void`

maxWidth | property |

`maxWidth:Number` [read-write]

The maximum available width for the legend.

Implementation
`public function get maxWidth():Number`
`public function set maxWidth(value:Number):void`
Constructor detail

Legend | () | constructor

`public function Legend()`

Constructor.